RDMnet::BrokerProtocol::ClientEntry Namespace Reference

1.2.2 Broker Protocol More...

## Classes

class | Pdu
| The ClientEntry::Pdu class. More...
struct | entry_header
| The ClientEntry::header struct. More...
struct | entry_rpt_data
| The ClientEntry::RptClientEntry_data struct. More...
struct | entry_ept_data
| The ClientEntry::EptClientEntry_data struct. More...

## Detailed Description

1.2.2 Broker Protocol

The Broker Protocol enables the scalability and multi-controller functionality of RDMnet. It uses a central server called a Broker to handle discovery, maintain the state of the system and facilitate message routing. The Broker routes messages between a set of other Components, which are referred to as Clients. The Broker Protocol contains a small set of messages that facilitate Client connection and discovery of other Clients.